
D4Science Infrastructure - Task #13087

Please upgrade  grsf-publisher-ws to latest version

Dec 27, 2018 04:05 PM - Luca Frosini

Status: Closed Start date: Dec 27, 2018

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Ansible provisioning   

Infrastructure: Production   

Description

Using the following command:

./run.sh smartgears-node.yml -i inventory/hosts.production -l smart_grsf_prod

 I obtain the following error:

TASK [Gathering Facts] *********************************************************

fatal: [smart-grsf-d4s.d4science.org]: UNREACHABLE! => {"changed": false, "msg": "SSH Error: data 

could not be sent to remote host \"smart-grsf-d4s.d4science.org\". Make sure this host can be reac

hed over ssh", "unreachable": true}

    to retry, use: --limit @/home/lucafrosini/workspace/ANSIBLE/ansible-playbooks/d4science-ghn-cl

uster/smartgears-node.retry

 Please note that I'm able to login to the target machine

Related issues:

Related to StocksAndFisheriesKB - Task #12861: Purge old records of the publi... Closed Nov 12, 2018

History

#1 - Dec 27, 2018 04:06 PM - Luca Frosini

- Related to Task #12861: Purge old records of the public GRSF Catalogue added

#2 - Dec 27, 2018 04:07 PM - Luca Frosini

The installed war must be:

grsf-publisher-ws-1.8.0-4.13.1-176225.war

#3 - Dec 27, 2018 06:07 PM - Andrea Dell'Amico

- Assignee changed from Roberto Cirillo to Luca Frosini

You must limit the scope of the playbook, as usual: if you run it without specifying any tags it will try to execute most of the jobs as root even if you

don't have root access, and that's why it's failing. The correct command is:

./run.sh smartgears-node.yml -i inventory/hosts.production -l smart_grsf_prod -t smartgears

 Or, if you don't want to update the smartgears distribution but your service only:

./run.sh smartgears-node.yml -i inventory/hosts.production -l smart_grsf_prod -t grsf_publisher_ws

#4 - Dec 28, 2018 09:21 AM - Luca Frosini

@andrea.dellamico@isti.cnr.it I'm getting the same error:

$ ./run.sh smartgears-node.yml -i inventory/hosts.production -t grsf_publisher_ws -l smart_grsf_prod

There are password protected encrypted files, we will ask for password before proceeding

Vault password: 

 [WARNING]: Could not match supplied host pattern, ignoring: smartgears_dev_nodes

 [WARNING]: Could not match supplied host pattern, ignoring: smartgears_preprod_nodes

 [WARNING]: Could not match supplied host pattern, ignoring: egi_dataminer
 [WARNING]: Could not match supplied host pattern, ignoring: egi_smartexecutor

PLAY [smartgears_nodes:smartgears_dev_nodes:smartgears_preprod_nodes:egi_dataminer:egi_smartexecutor] ********

************************************************************************************************

TASK [Gathering Facts] ***************************************************************************************

************************************************************************************************

fatal: [smart-grsf-d4s.d4science.org]: UNREACHABLE! => {"changed": false, "msg": "SSH Error: data could not be

 sent to remote host \"smart-grsf-d4s.d4science.org\". Make sure this host can be reached over ssh", "unreacha

ble": true}

    to retry, use: --limit @/home/lucafrosini/workspace/ANSIBLE/ansible-playbooks/d4science-ghn-cluster/smartg

ears-node.retry

PLAY RECAP ***************************************************************************************************

************************************************************************************************

smart-grsf-d4s.d4science.org : ok=0    changed=0    unreachable=1    failed=0   

#5 - Dec 28, 2018 09:22 AM - Luca Frosini

- Assignee changed from Luca Frosini to Andrea Dell'Amico

#6 - Dec 28, 2018 02:36 PM - Andrea Dell'Amico

- Status changed from New to Closed

- % Done changed from 0 to 100

I run the playbook successfully.

About your authentication problems: limiting the run to a selected role it's not enough, I'll have to come up with a solution that permits the users that

can access as gcube to run the service provisioning tasks.

#7 - Dec 28, 2018 02:39 PM - Luca Frosini

Thanks a lot.

Let me know when you find a solution and what I have to do in the future.

#8 - Dec 28, 2018 02:54 PM - Andrea Dell'Amico

Luca Frosini wrote:

Thanks a lot.

Let me know when you find a solution and what I have to do in the future.

 Can you test (even on that VM, where we are sure that you don't have root access) to run the same playbook with an addition: -e

'remote_user=gcube'? So the complete command would be:

 ./run.sh smartgears-node.yml -i inventory/hosts.production -t grsf_publisher_ws -l smart_grsf_prod -e 'remote

_user=gcube'

#9 - Dec 31, 2018 09:55 AM - Luca Frosini

I'm still getting the same error:

$ ./run.sh smartgears-node.yml -i inventory/hosts.production -t grsf_publisher_ws -l smart_grsf_prod -e 'remot

e_user=gcube'

There are password protected encrypted files, we will ask for password before proceeding

Vault password: 

 [WARNING]: Could not match supplied host pattern, ignoring: smartgears_dev_nodes

 [WARNING]: Could not match supplied host pattern, ignoring: smartgears_preprod_nodes

 [WARNING]: Could not match supplied host pattern, ignoring: egi_dataminer

 [WARNING]: Could not match supplied host pattern, ignoring: egi_smartexecutor

 [WARNING]: Found variable using reserved name: remote_user

PLAY [smartgears_nodes:smartgears_dev_nodes:smartgears_preprod_nodes:egi_dataminer:egi_smartexecutor] ********

************************************************************************************************
TASK [Gathering Facts] ***************************************************************************************

************************************************************************************************

fatal: [smart-grsf-d4s.d4science.org]: UNREACHABLE! => {"changed": false, "msg": "SSH Error: data could not be

 sent to remote host \"smart-grsf-d4s.d4science.org\". Make sure this host can be reached over ssh", "unreacha

ble": true}

    to retry, use: --limit @/home/lucafrosini/workspace/ANSIBLE/ansible-playbooks/d4science-ghn-cluster/smartg

ears-node.retry

PLAY RECAP ***************************************************************************************************

************************************************************************************************

smart-grsf-d4s.d4science.org : ok=0    changed=0    unreachable=1    failed=0 
